# SoComposeRotation Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoComposeRotation:

List of all members.

## Detailed Description

The SoComposeRotation class is used to compose rotations from angle and axis.

## Public Attributes

SoMFVec3f | axis
SoMFFloat | angle
SoEngineOutput | rotation

## Member Data Documentation

SoMFVec3f SoComposeRotation::axis

| Set of axis vectors for the output rotations.

SoMFFloat SoComposeRotation::angle

| Set of scalar rotation values for the output rotations.

SoEngineOutput SoComposeRotation::rotation

| (SoMFRotation) Rotations generated from the angle and axis input fields.

The documentation for this class was generated from the following files:

- SoComposeRotation.h
- SoComposeRotation.cpp